Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065708 - failed to remove application which was installed during same g-s run
Summary: failed to remove application which was installed during same g-s run
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 21
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-16 05:03 UTC by Miroslav Puda
Modified: 2014-09-20 13:30 UTC (History)
4 users (show)

Fixed In Version: gnome-software-3.13.92-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-20 13:30:40 UTC


Attachments (Terms of Use)

Description Miroslav Puda 2014-02-16 05:03:07 UTC
Description of problem:
Package installed in gnome-software can't be removed until gnome-software is restarted.


Version-Release number of selected component (if applicable):
Arch        : x86_64
Version     : 3.10.4
Release     : 2.fc20



How reproducible: 
Always


Steps to Reproduce:
1. run 'gnome-software'
2. go to All.Categories.Games.Arcade.Funguloids
3. click 'Install'
4. wait, do NOT exit Funguloids page
5. click 'Remove'

Actual results: 
Message saying:
Sorry, this did not work
Removal of application failed.


Expected results:
Package should be removed.


Additional info:
Application can be removed using 'yum history undo $ID'. Problem could be solved also by restarting gnome-software. Application can't be removed from 'Installed' tab either.
Standard output from console:
$ gnome-software

(gnome-software:12920): Gs-WARNING **: failed to get updates: no results to show

(gnome-software:12920): Gs-WARNING **: failed to complete gs_plugin_app_remove: The package funguloids is not installed

Comment 1 Petr Schindler 2014-08-07 13:59:32 UTC
I'm not sure if I have the exactly same problem but it behaves the same.

Application which was installed during the same session can't be removed with g-s. Restarting g-s doesn't work. I have to logout and log in again, then I can remove application.

output in journalctl says:
gnome-session[2065]: (org.gnome.Software:2458): Gs-WARNING **: State change on shutter from installed to available is not OK

Comment 2 Petr Schindler 2014-08-07 15:32:21 UTC
Sry. I didn't realize that gnome-software still runs on the background when I close its window. Killing g-s and running it again helps with problem.

Comment 3 Kalev Lember 2014-09-20 13:30:40 UTC
Should be fixed in gnome-software 3.13.92.


Note You need to log in before you can comment on or make changes to this bug.